Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignPropertyExpression

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePropertyExpression
          net.sf.jasperreports.engine.design.JRDesignPropertyExpression

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRPropertyExpression

    public class JRDesignPropertyExpression

extends JRBasePropertyExpression

Implementation of `JRPropertyExpression` to be used at report design time.

Version:
  $Id: JRDesignPropertyExpression.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBasePropertyExpression
`PROPERTY_NAME, pROPERTY_VALUE_EXPRESSION`

Constructor Summary
`JRDesignPropertyExpression()`

Method Summary
`void` | `setValueExpression(JRExpression valueExpression)` Sets the property value expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBasePropertyExpression
`getEventSupport, getName, getValueExpression, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRDesignPropertyExpression

    public JRDesignPropertyExpression()

Method Detail

### setValueExpression

    public void setValueExpression(JRExpression valueExpression)

  Sets the property value expression.

  Overrides:
    `setValueExpression` in class `JRBasePropertyExpression`
  Parameters:
    `valueExpression` - the value expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com